<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 

$wp_customize->add_setting('peccular_slider_nav', array(
   'sanitize_callback' => 'wp_kses_post',
)); 

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
   'section' => 'peccular_slider_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'slider_section_show_content',  
            'luzuk_slidebanner_bg_image', 
            'luzuk_slidebanner_bg_image1',
            'luzuk_slidebanner_bg_image2',
            'luzuk_slidebanner_bg_image3',
            'luzuk_slidebanner_bg_image4',  
            'peccular_sliderbaner_section_lbl',             
        ),
         'active' => true,
     ), 
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
            'peccular_slider_heading_color',
            'peccular_slider_text_color',
            'peccular_slider_buttontext_color1', 
            'peccular_slider_buttonbgbrdr_color1', 
            'peccular_slider_buttonbghov_color1',  
            'peccular_slider_buttontxthv_color1',
            'peccular_slider_content_box_clr',
            'peccular_slider_content_boxbr_clr',
            'peccular_slider_prenxtbtn_box_clr',
            'peccular_slider_prenxtbtnhvr_box_clr',
            'peccular_slider_prenxtbtnbg_box_clr',
            'peccular_slider_prenxtbtnhoverbg_box_clr',
            'peccular_slider_prenxtbtnhoverbg_box_clrtwo',
            'peccular_slider_prenxtbtnhoverbr_box_clr',
            'peccular_slidercontent_head_align',
            'peccular_sliderbuttonmain_buttontxt_color',
            'peccular_sliderbuttonmain_buttontxthvr_color',
            'peccular_sliderbuttonmain_buttonbg_color',
            'peccular_sliderbuttonmain_buttonbghover_color',
            'peccular_sliderbuttonmain_buttonbrss_color',
            'peccular_slider_content_boxborder_clrone',
            'peccular_slider_content_box_clrtwo',
            'peccular_sliderall_image_opacity',
            'peccular_slider_box_onload_effects'
        ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_slider_section_width',
            'peccular_slider_padding',
            'peccular_slider_section_t_padding',
            'peccular_slider_section_b_padding'
        ),
    )
  ),
)));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);

$wp_customize->add_setting('peccular_sliderbaner_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sliderbaner_section_lbl',
        array(
            'settings'      => 'peccular_sliderbaner_section_lbl',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note:</strong> <strong>Set Slider Featured Image Of Resolution 1498*655 Or More Than This Resolution To Show All Content In Proper Way</strong> <br/>', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
); 

// $wp_customize->add_setting('peccular_slider_box_onload_effects',array(
//     'default' => 'Bounce In Right',
//     'sanitize_callback' => 'peccular_sanitize_choices',
// ));
// $wp_customize->add_control('peccular_slider_box_onload_effects',array(
//     'type' => 'select',
//     'label' => __('Onload Transition Effects','peccular'),
//     'choices' => array (
//         'wow bounceInLeft' => __('Bounce In Left','peccular'),
//         'wow bounceInRight' => __('Bounce In Right','peccular'),
//         'wow bounceInUp' => __('Bounce In Up','peccular'),
//         'wow bounceInDown' => __('Bounce In Down','peccular'),
//         'wow zoomIn' => __('Zoom In','peccular'),
//         'wow zoomOut' => __('Zoom Out','peccular'),
//         'wow fadeInDown' => __('Fade In Down','peccular'),            
//         'wow fadeInUp' => __('Fade In Up','peccular'),
//         'wow fadeInLeft' => __('Fade In Left','peccular'),
//         'wow fadeInRight' => __('Fade In Right','peccular'),
//         'flip-up' => __('Flip Up','peccular'),
//         'none' => __('None','peccular')
//     ),
//     'section' => 'peccular_slider_section',
// ));

$wp_customize->add_setting('peccular_sliderall_image_opacity',array(
    'default' => 0.2,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_sliderall_image_opacity',array(
    'label' => __('Content Box Overlay Opacity','peccular'),
    'section' => 'peccular_slider_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));


$wp_customize->add_setting('peccular_slider_section_width',array(
    'default' => 'Full Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_slider_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_slider_section',
));

addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', ''); 
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_content_box_clr', 'peccular_slider_section', 'Content Box Overlay Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_content_boxborder_clrone', 'peccular_slider_section', 'Content Box Border Color', '');
//addColorPalatOption($wp_customize, 'peccular_slider_content_box_clrtwo', 'peccular_slider_section', 'Content Box Border Color 2', '');

addColorPalatOption($wp_customize, 'peccular_slider_prenxtbtn_box_clr', 'peccular_slider_section', 'Prev & Next Button Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_prenxtbtnhvr_box_clr', 'peccular_slider_section', 'Prev & Next Button Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_prenxtbtnbg_box_clr', 'peccular_slider_section', 'Prev & Next Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_prenxtbtnhoverbg_box_clr', 'peccular_slider_section', 'Prev & Next Button Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_sliderbuttonmain_buttontxt_color', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_sliderbuttonmain_buttontxthvr_color', 'peccular_slider_section', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_sliderbuttonmain_buttonbg_color', 'peccular_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_sliderbuttonmain_buttonbghover_color', 'peccular_slider_section', 'Button BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_sliderbuttonmain_buttonbrss_color', 'peccular_slider_section', 'Button Border Color', '');


$wp_customize->add_setting( 'luzuk_slidebanner_bg_image', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'luzuk_slidebanner_bg_image', array(
    'label' => __('Slider Animated Image 1','peccular'),
    'section' => 'peccular_slider_section',
)));

$wp_customize->add_setting( 'luzuk_slidebanner_bg_image1', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'luzuk_slidebanner_bg_image1', array(
    'label' => __('Slider Animated Image 2','peccular'),
    'section' => 'peccular_slider_section',
)));

$wp_customize->add_setting( 'luzuk_slidebanner_bg_image2', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'luzuk_slidebanner_bg_image2', array(
    'label' => __('Slider Animated Image 3','peccular'),
    'section' => 'peccular_slider_section',
)));

$wp_customize->add_setting( 'luzuk_slidebanner_bg_image3', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'luzuk_slidebanner_bg_image3', array(
    'label' => __('Slider Animated Image 4','peccular'),
    'section' => 'peccular_slider_section',
)));
$wp_customize->add_setting( 'luzuk_slidebanner_bg_image4', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'luzuk_slidebanner_bg_image4', array(
    'label' => __('Slider Animated Image 5','peccular'),
    'section' => 'peccular_slider_section',
)));
$wp_customize->add_setting('peccular_slider_padding',array(
  'sanitize_callback'   => ''
));
$wp_customize->add_control('peccular_slider_padding',array(
  'label' => __('Section Padding','peccular'),
  'section' => 'peccular_slider_section'
));

$wp_customize->add_setting('peccular_slider_section_t_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
));

$wp_customize->add_setting('peccular_slider_section_b_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
));
?>