<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_contact_pages' , array(
    'title'    => __( 'Contact Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );

$wp_customize->add_setting('peccular_contactpages_nav', array(
   'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
   'section' => 'peccular_contact_pages',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'peccular_contact_title',
            'peccular_contactpage_address1',               
            'peccular_contact_page_phone2',
            'peccular_contact_page_phone',                
            'peccular_contact_page_email',                
            'peccular_contactpage_form_shortcode',     
            'contact_page_iframe_shortcode',           
            'peccular_contact_page_formtitle1',
            'peccular_contform_maintitle', 
            'peccular_contform_maintext',          
            'peccular_contactpage_fb',
            'peccular_contactpage_tw',
            'peccular_contactpage_instagram',
            'peccular_contactpage_in',
            'peccular_contactpage_pinterest',
            'peccular_contactpage_youtube',
            'contact_page_addresslbl1',
            'contact_page_address1',
            'contact_page_addresslbl2',
            'contact_page_address2',
            'contact_page_addresslbl3',
            'contact_page_address3',
            'contact_page_phonelbl',
            'contact_page_phone',
            'contact_page_emaillbl',
            'contact_page_email',
            'contact_page_addresslbl',
            'contact_page_address',
            'peccular_contactpage_image',
            'peccular_contactimg_display',
            'sec3__contact_button_display5',
            'sec4__contactButton4',
            'sec4__contactButtonLink4',
            'peccular_contactpage_whatsapp'

        ),
         'active' => true,
     ),      
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array( 
            'peccular_contactpage_box_onload_effects',
            'peccular_contactpage_rheading_color',
            'peccular_contactpage_rsubheading_color',
            'peccular_contactpage_rheadingbg_color',
            'peccular_contactpage_rheadingtext_color',
            'peccular_contact_page_formtext_color',
            'peccular_contact_page_formtextplaceholder_color',
            'peccular_contact_page_formbg_color',
            'peccular_contact_page_formborder_color',
            'peccular_contactpage_formbtnbg_color1',
            'peccular_contactpage_formbtntext_color',
            'peccular_contact_page_formbtnborder_color',
            'peccular_contact_page_formbtnbghov_color1',
            'peccular_contact_pagee_formbtntexthv_color',
            'peccular_contactpage_soacialicon_color',
            'peccular_contactpage_soacialiconbg_color',
            'peccular_contactpage_soacialiconbghover_color',
            'peccular_contactpage_addlbl_color',
            'peccular_contactpage_lheading_color',
            'peccular_contactpage_addtext1_color',
            'peccular_contactpage_addtexthover_color',
            'peccular_contactpage_addtext1Icon_color',
            'peccular_contactpage_addtextrightBorder_color',
            'peccular_contactpage_topContactBxBg_color',
            'peccular_contactpage_addcontlabel_color',
            'peccular_contactpage_addcontlabeltxt_color',
            'peccular_contactpage_ico1_color',
            'peccular_contactpage_ico2_color',
            'peccular_contactpage_bordercs_color',
            'peccular_contact_page_phoneemtxt_color',
            'peccular_contact_page_phoneemtxthvr_color',
            'peccular_contact_page_brsclr_color',
            'peccular_contact_page_buttontxt_color',
            'peccular_contact_page_buttontxthvr_color',
            'peccular_contact_page_buttonbg_color',
            'peccular_contact_page_buttonbghover_color',
            'peccular_contact_page_buttonbrss_color', 
            'peccular_contact_page_brsclrc_color',
            'peccular_contactpage_topContactBxHoverBg_color'

        ),
    )
  ),
)));


// to show & hide another button
$wp_customize->add_setting( 'peccular_contactimg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_contactimg_display', array( 'label' => 'Image Display', 'section' => 'peccular_contact_pages', 'settings' => 'peccular_contactimg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 
// end to show & hide button

$wp_customize->add_setting( 'peccular_contactpage_image', array(
 'default' => '',
 'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contactpage_image', array(
    'label' => __('Bottom Left Image','peccular'),
    'section' => 'peccular_contact_pages',
)));


$wp_customize->add_setting(
    'contact_page_addresslbl1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'FAST SHIPPING', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl1',
    array(
        'settings'      => 'contact_page_addresslbl1',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Shipping Label Here', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address1',
    array(
        'settings'      => 'contact_page_address1',
        'section'       => 'peccular_contact_pages',
        'type'          => 'textarea',
        'label'         => __( 'Shipping Text Here', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'contact_page_addresslbl2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'SAFE DELIVERY', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl2',
    array(
        'settings'      => 'contact_page_addresslbl2',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Delivery Label Here', 'peccular Premium' )
    )
);
$wp_customize->add_setting(
    'contact_page_address2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address2',
    array(
        'settings'      => 'contact_page_address2',
        'section'       => 'peccular_contact_pages',
        'type'          => 'textarea',
        'label'         => __( 'Delivery Text Here', 'peccular Premium' )
    )
);
$wp_customize->add_setting(
    'contact_page_addresslbl3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '365 DAYS RETURN', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_addresslbl3',
    array(
        'settings'      => 'contact_page_addresslbl3',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Guarantee Label Here', 'peccular Premium' )
    )
);


$wp_customize->add_setting(
    'contact_page_address3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod', 'peccular Premium' )
    )
);
$wp_customize->add_control(
    'contact_page_address3',
    array(
        'settings'      => 'contact_page_address3',
        'section'       => 'peccular_contact_pages',
        'type'          => 'textarea',
        'label'         => __( 'Guarantee Text Here', 'peccular Premium' )
    )
);

$wp_customize->add_setting(
    'peccular_contform_maintext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'LEAVE A MESSAGE', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contform_maintext',
    array(
        'settings'      => 'peccular_contform_maintext',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Contact Form Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
); 

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));

$wp_customize->add_setting(
    'peccular_contform_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<span>Subscribe</span> for bright ideas and inspiration', 'peccular' )
    )
); 
$wp_customize->add_control(
    'peccular_contform_maintitle',
    array(
        'settings'      => 'peccular_contform_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Subscribe Text', 'peccular' )
    )
);


// to show & hide another button
$wp_customize->add_setting( 'sec3__contact_button_display5', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'sec3__contact_button_display5', array( 'label' => 'Button Display', 'section' => 'peccular_contact_pages', 'settings' => 'sec3__contact_button_display5', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button 

$wp_customize->add_setting(
    'sec4__contactButton4',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Subscribe Now', 'template-premium' )
    )
);
$wp_customize->add_control(
    'sec4__contactButton4',
    array(
        'settings'      => 'sec4__contactButton4',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'template-premium' )
    )
);
$wp_customize->add_setting('sec4__contactButtonLink4',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('sec4__contactButtonLink4',
    array(
        'settings'      => 'sec4__contactButtonLink4',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'peccular' )
    )
); 


$wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Onload Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular')
    ),
    'section' => 'peccular_contact_pages',
));

addColorPalatOption($wp_customize, 'peccular_contactpage_addcontlabel_color', 'peccular_contact_pages', 'Label Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addcontlabeltxt_color', 'peccular_contact_pages', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_ico1_color', 'peccular_contact_pages', 'Icon Color 1', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_ico2_color', 'peccular_contact_pages', 'Icon Color 2', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_bordercs_color', 'peccular_contact_pages', 'Border Color', '');

// addColorPalatOption($wp_customize, 'peccular_contact_page_brsclr_color', 'peccular_contact_pages', 'Border Color 1', '');
// addColorPalatOption($wp_customize, 'peccular_contact_page_brsclrc_color', 'peccular_contact_pages', 'Border Color 2', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_rsubheading_color', 'peccular_contact_pages', 'Contact Form Heading Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_rheading_color', 'peccular_contact_pages', 'Contact Form Label Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtextplaceholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbg_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnborder_color', 'peccular_contact_pages', 'Form Button Border Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_phoneemtxt_color', 'peccular_contact_pages', 'Subscribe Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_phoneemtxthvr_color', 'peccular_contact_pages', 'Subscribe Text Highlight Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_buttontxt_color', 'peccular_contact_pages', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_buttontxthvr_color', 'peccular_contact_pages', 'Button Text Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_buttonbg_color', 'peccular_contact_pages', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_buttonbghover_color', 'peccular_contact_pages', 'Button BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_buttonbrss_color', 'peccular_contact_pages', 'Button Border Color', ''); 
?>