<?php 
$lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
));

$wp_customize->add_panel( $lvl2ParentPanel3 );
  // Add example section and controls to the final (third) panel
$wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test Single shop',
    'panel' => 'peccular_header_panel3',
));

//Bottom Header
$wp_customize->add_section( 'peccular_singleshop_page' , array(
    'title'    => __( 'Single Product Page', 'peccular-premium' ),
    'priority' => null,
    'panel' => 'peccular_header_panel3'
) );

$wp_customize->add_setting('peccular_singleshoppage_nav', array(
 'sanitize_callback' => 'wp_kses_post',
));

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_singleshoppage_nav', array(
 'section' => 'peccular_singleshop_page',
 'priority' => 1,
 'buttons' => array(
  array(
   'name' => esc_html__('General', 'peccular-premium'),
   'icon' => 'dashicons dashicons-welcome-write-blog',
   'fields' => array(
    'shippingtext',
    'shippinglink',
    'shippingtext2',
    'shippingtext3'
),
   'active' => true,
),    
  array(
    'name' => esc_html__('Style', 'peccular-premium'),
    'icon' => 'dashicons dashicons-art',
    'fields' => array( 

        'peccular_singleshopshippicon_color',
        'peccular_singleshopshipp_color',
        'peccular_singleshopshipplink_color',
        'peccular_singleshopshipplinkhover_color',
        'peccular_singleshopthead_color',
        'peccular_singleshopshipplinkbr_color',
        'peccular_singleshoplabel_color',
        'peccular_singleshopsocials_color',
        'peccular_singleshopsocialshvr_color',
        'peccular_singleshopbtntxt_color',
        'peccular_singleshopbg_color',
        'peccular_singleshopbr_color',
        'peccular_singleshopdiscbbr_color',
        'peccular_singleshopthead_color',
        'peccular_singleshopthumimg_color',
        'peccular_singleshopthumimgicon_color',
        'peccular_singleshopthumimgiconbg_color',
        'peccular_shoppage_singlprocart_color',
        'peccular_shoppage_singlprocartbrs_color',
        'peccular_singleshoprevi_color',
        'peccular_singleshopthumimgarr_color'

    ),
)
),
)));

$wp_customize->add_setting(
    'shippingtext3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Free worldwide shipping on all orders over $100', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'shippingtext3',
    array(
        'settings'      => 'shippingtext3',
        'section'       => 'peccular_singleshop_page',
        'type'          => 'textarea',
        'label'         => __( 'Shipping Tagline Text', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'shippingtext2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Delivers in: 3-7 Working days', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'shippingtext2',
    array(
        'settings'      => 'shippingtext2',
        'section'       => 'peccular_singleshop_page',
        'type'          => 'text',
        'label'         => __( 'Delivery Tagline Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'shippingtext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Shipping & Return', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'shippingtext',
    array(
        'settings'      => 'shippingtext',
        'section'       => 'peccular_singleshop_page',
        'type'          => 'text',
        'label'         => __( 'Shipping & Return Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting('shippinglink',   array('default'=> 'Add Link Here:', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('shippinglink',
    array(
        'settings'      => 'shippinglink',
        'section'       => 'peccular_singleshop_page',
        'type'          => 'url',
        'label'         => __( 'Shipping & Return Link:', 'peccular' )
    )
);   
addColorPalatOption($wp_customize, 'peccular_singleshopthead_color', 'peccular_singleshop_page', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_singleshopthumimg_color', 'peccular_singleshop_page', 'Thumbnail Image BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_singleshopthumimgarr_color', 'peccular_singleshop_page', 'Arrows Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopthumimgicon_color', 'peccular_singleshop_page', 'Thumbnail Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_singleshopthumimgiconbg_color', 'peccular_singleshop_page', 'Thumbnail Icon BG Color ', '');


addColorPalatOption($wp_customize, 'peccular_singleshopshippicon_color', 'peccular_singleshop_page', 'Icon Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopshipp_color', 'peccular_singleshop_page', 'Shipping Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopshipplink_color', 'peccular_singleshop_page', 'Links Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopshipplinkhover_color', 'peccular_singleshop_page', 'Links Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopshipplinkbr_color', 'peccular_singleshop_page', 'Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshoplabel_color', 'peccular_singleshop_page', 'Label Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopsocials_color', 'peccular_singleshop_page', 'Socials Color ', '');
addColorPalatOption($wp_customize, 'peccular_singleshopsocialshvr_color', 'peccular_singleshop_page', 'Socials Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopbtntxt_color', 'peccular_singleshop_page', 'Buy Now Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_singleshopbg_color', 'peccular_singleshop_page', 'Buy Now Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_singleshopbr_color', 'peccular_singleshop_page', 'Buy Now Button Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshopdiscbbr_color', 'peccular_singleshop_page', 'Description Box Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_singleshoprevi_color', 'peccular_singleshop_page', 'Customer Review Text Color ', '');

addColorPalatOption($wp_customize, 'peccular_shoppage_singlprocart_color', 'peccular_singleshop_page', 'Single Product Page Cart Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_shoppage_singlprocartbrs_color', 'peccular_singleshop_page', 'Single Product Page Border Color ', '');

?>