<?php  
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php get_header(); ?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main" style="background: url('<?php echo get_template_directory_uri().'/images/bannerbg.jpg';?>"> 

    <header class="page-main-header2"> 
             <div class="site-details">
              
                <div class="image-icon">
                  
    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="offset-xl-1 offset-lg-1 offset-md-4 offset-sm-4 Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        
         <?php 
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?><span class="arch"> <?php the_archive_title( '<h1 class="lt-1 font-Lalezar m-0">', '</h1>' ); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 

  <div id="main-slider">
<div class="item">
           
                <div class="cover">
                    <div class="container">
                        <div class="change-anim"></div>
                        <div style="text-align: <?php if(get_theme_mod('peccular_slidercontent_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_slidercontent_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_slidercontent_head_align','Right') == 'Right'){ ?> right <?php } ?> " class="header-content <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow bounce-in-right')); ?>">
                            <div class="change-anim2"></div>
                            <h2 class="heading-font"></h2>
                            <div class="slidetxt">
                          </div>
                        
                      </div>
                  </div>
              </div>
      </div>
  </div>
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>

<main id="innerpage-box">
	  <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
		<div class="inner_contentbox">
              <div class="row m-0">
            		<div id="blog-box" class="ht-blog-wrap innerpage-whitebox col-xl-8 col-lg-8 col-md-6 col-sm-12 col-xs-12">
    					<div class="innerblogpost">
                            <div class="md-0">
                      				<?php if ( have_posts() ) :
                      					$peccular_lite_full_posts = get_theme_mod('peccular_lite_full_posts');
                      					while ( have_posts() ) : the_post();
                      						peccular_lite_archive_post();
                      					endwhile;
                      					peccular_lite_post_navigation();
                      				endif; ?>
                              <div class="clearfix"></div>
                            </div>
                            <div class="clearfix"></div>
    					</div>
            					
            		</div> <!-- col 9-->
            		<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12 p-0">
            			<div id="secondary" class="widget-area">
            				<?php dynamic_sidebar('peccular-blog-sidebar'); ?>
            			</div>
            		</div>
                        <div class="clearfix"></div>
              </div>
	           <div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
        
        <div class="pagingation">
            <?php lzGetPagination($query);?>
        </div>
       <div class="clearfix"></div>
	</div>
</main>

 <script>
            jQuery.noConflict();
            $(function(){
              function innerblogpostHeight(){
                var ht = 0;
                $('.inner-blogpost').each(function(i){
                  var tHt = $(this).height();
                  if(ht<tHt){
                    ht=tHt;
                  }
                });
                $('.inner-blogpost').height(ht+'px');
              }
              innerblogpostHeight();
            });
            $( window ).resize(function(){
              innerblogpostHeight();
            });
          </script>

<?php get_footer(); ?>