<?php
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-logo');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 7:
        case 8:
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        case 4:
        $colCls = 'col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
            $post = get_post();
            $designation = get_post_meta($post->ID, 'designation', false);
            $tm_services_designation = !empty($designation[0]) ? $designation[0] : '';

            ?>
            <?php
            $peccular_service_page_icon_left = get_theme_mod('peccular_service_page_icon_left'.$i);
            ?>
            <div class="item"> 
                <div class="logo-bx <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>">
                    <a href="<?php echo esc_url($tm_services_designation) ?>">  
                     <img class="img-responsive" src="<?php echo (!empty($peccular_image[0])) ? $peccular_image[0] : get_template_directory_uri() . '/serviceimg.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" alt=""/>  
                 </a>
             </div>                  
         </div>
         <?php
     endwhile;
     $text = ob_get_contents();
     ob_clean();
 endif;
 wp_reset_postdata();
 return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
    }
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;
        ?> 
        <div class="row md-1">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                if ($isCustomizer === true) {
                    $service_area_designation = get_theme_mod('service_area_designation' . $i);
                } else {
                    $service_area_designation = '';
                }


                $post = get_post();

                    //designation
                $designation = get_post_meta($post->ID, 'designation', false);
                $service_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
              
             <div class="<?php echo $colCls;?> pd-0">
                <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">  

                    <div class="peccular-service-image">
                       <?php
                       if (has_post_thumbnail()) {
                        $image_url = $peccular_image[0];
                    } else {
                        $image_url = get_template_directory_uri() . '/images/project3.png';
                    }
                    ?> 
                    <?php
                    if(get_theme_mod('service_featured_img_on_off') != 'on' ){
                      ?>  
                      <a href="<?php the_permalink(); ?>">
                       <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_serviceinnerpage_post_image_height','390')) ?>px;" />
                   </a>
               <?php } ?>


           </div>       
           <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_services_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_services_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">   
            <div class="peccular_services_overlay"></div> 

            <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_service_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_service_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_service_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
            </h4>  
            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_post_excerpt','8')) ) ); ?>

        </p> 


        <?php
        $peccular_servicebutton = get_theme_mod('peccular_services_btn_txt', 'Read More'); 
        ?>
        <?php if( get_theme_mod('peccular_erviceinn_button_enable',true) == true){ ?>
            <a href="<?php the_permalink(); ?>" target="_blank" class="btn btn-lg"> <?php echo ($peccular_servicebutton );  ?>
        </a>

    <?php }?>


    <div class="clearfix"></div>
</div> 
<div class="clearfix"></div> 



<div class="clearfix"></div>


</div>                            

<script>
    var matchHeight = function () {

        function init() {
            eventListeners();
            matchHeight();
        }

        function eventListeners(){
            $(window).on('resize', function() {
                matchHeight();
            });
        }

        function matchHeight(){
            var groupName = $('[service-match-height]');
            var groupHeights = [];

            groupName.css('min-height', 'auto');

            groupName.each(function() {
                groupHeights.push($(this).outerHeight());
            });

            var maxHeight = Math.max.apply(null, groupHeights);
            groupName.css('min-height', maxHeight);
        };

        return {
            init: init
        };

    } ();

    $(document).ready(function() {
        matchHeight.init();
    });
</script>

</div>
<?php
endwhile;
?>
<div class="clearfix"></div>
</div> 
<?php
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialinnerpageShortCode');
add_shortcode('TEAM', 'teaminnerpageShortCode');
add_shortcode('PROJECT', 'InnerpageprojectShortCode');
add_shortcode('VIDEO', 'InnerpagemainShortCode');
add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
add_shortcode('FAQS', 'faqShortcode');
add_shortcode('GALLERY', 'galleryinnerpageShortCode'); 