<?php
/** 
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
	<header class="page-main-header2" style="background: url('<?php echo !empty($image)?$image : get_template_directory_uri().'/images/bannerbg.jpg';?>"> 
		<div class="site-details">

			<div class="image-icon">

				<?php
				if(get_theme_mod('page_title_on_off') != 'on' ){
					?>
					<div class="offset-xl-1 offset-lg-1 offset-md-6 offset-sm-6 Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
						  <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?> 
						<?php
						if(get_theme_mod('breadcrumb_on_off') != 'on' ){
							?>
							<div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
								<div class="Breadcrumb_title">
									<div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
									<!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
								</div>
								<div class="clearfix"></div>
							</div>
						<?php } ?> 
					</div>
				<?php } ?> 

			</div>

		</div> 

		<div id="main-slider">
<div class="item">
           
                <div class="cover">
                    <div class="container">
                        <div class="change-anim"></div>
                        <div style="text-align: <?php if(get_theme_mod('peccular_slidercontent_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_slidercontent_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_slidercontent_head_align','Right') == 'Right'){ ?> right <?php } ?> " class="header-content <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow bounce-in-right')); ?>">
                            <div class="change-anim2"></div>
                            <h2 class="heading-font"></h2>
                            <div class="slidetxt">
                          </div>
                        
                      </div>
                  </div>
              </div>
      </div>
  </div>
 <div class="peccular-innerpage-overlay"></div> 
</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
	<div class="inner_contentbox">
		<?php 

		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');		
		$peccular_contform_maintitle = get_theme_mod('peccular_contform_maintitle', '<span>Subscribe</span> for bright ideas and inspiration');
		$peccular_contform_maintext = get_theme_mod('peccular_contform_maintext', 'LEAVE A MESSAGE');
		$contact_page_iframe_shortcode = get_theme_mod('contact_page_iframe_shortcode', 'Add Map Embed Code Here'); 

		$phone = get_theme_mod('contact_page_phone', '+98 0 9876 0954');
		$phonelbl = get_theme_mod('contact_page_phonelbl', 'Phone:');

		$email = get_theme_mod('contact_page_email', 'info@Odndhfm.com');
		$emaillbl = get_theme_mod('contact_page_emaillbl', 'Email:');

		$address = get_theme_mod('contact_page_address', 'Lorem Ipsum consectetur adipiscing elit, New York');
		$addresslbl = get_theme_mod('contact_page_addresslbl', 'Address:');

		$address1 = get_theme_mod('contact_page_address1', 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod');
		$addresslbl1 = get_theme_mod('contact_page_addresslbl1', 'FAST SHIPPING');

		$address2 = get_theme_mod('contact_page_address2', 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod');
		$addresslbl2 = get_theme_mod('contact_page_addresslbl2', 'SAFE DELIVERY');

		$address3 = get_theme_mod('contact_page_address3', 'Lorem ipsum dolor sit amet, adipiscing elit eiusmod');
		$addresslbl3 = get_theme_mod('contact_page_addresslbl3', '365 DAYS RETURN');

		?>
		<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){ ?> container-fluid <?php }?>">
			<?php if($addresslbl1 || $address1 || $addresslbl2 || $address2 || $addresslbl3 || $address3){ ?>
			<div class="row main-block">
				<?php if($addresslbl1 || $address1 ){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						
						<div class="outer-block">
							<div class="row border-box">
								<i class="fa fa-paper-plane-o icon p-0"></i>
								<div class="col-xl-2 col-lg-2 col-md-12 ico-bx">
									<i class="fa fa-paper-plane-o"></i>
								</div>
								<div class="col-xl-10 col-lg-10 col-md-12 label-box">
									<strong><?php echo ($addresslbl1);  ?></strong>
								</div>
								<p><?php echo ($address1);  ?></p>
							</div>
						</div>
					</div>
				<?php }?>
				<?php if($addresslbl2 || $address2){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						
						<div class="row border-box">
							<i class="fa fa-lock icon p-0"></i>
							<div class="col-xl-2 col-lg-2 col-md-12 ico-bx">
								<i class="fa fa-lock"></i>
							</div>
							<div class="col-xl-10 col-lg-10 col-md-12 label-box">
								<strong><?php echo ($addresslbl2);  ?></strong>
							</div>
							<p><?php echo ($address2);  ?></p>
						</div> 
					</div>
				<?php }?>
				<?php if($addresslbl3 || $address3){ ?>
					<div class="col-xl-4 col-lg-4 col-md-12 contact-block">
						
						<div class="row border-box">
							<i class="fa fa-refresh icon p-0"></i>
							<div class="col-xl-2 col-lg-2 col-md-12 ico-bx">
								<i class="fa fa-refresh"></i>
							</div>
							<div class="col-xl-10 col-lg-10 col-md-12 label-box">
								<strong><?php echo ($addresslbl3);  ?></strong>
							</div>
							<p><?php echo ($address3);  ?></p>
						</div>
					</div>
				<?php }?>
			</div>
			<?php }?>
		</div>
		<div id="peccular-contactus-wrap"> 
			
			
			<div class="row">
				<!-- <div class="<?php //if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php //} elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){// ?> container-fluid <?php //}?>">  -->    
					
						<div class="col-xl-6 col-lg-6 peccular-contactpage-img mt-4">  
							<?php if( get_theme_mod('peccular_contactimg_display','show' ) == 'show') :
						?>  
							<?php 
							$peccular_contactpage_image = get_theme_mod('peccular_contactpage_image');
							if(!empty($peccular_contactpage_image)){
								echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_contactpage_image).'" class="peccular-about-imgboxshape" />';
							}else{
								echo '<img alt="about us" src="'.get_template_directory_uri().'/images/contactpage.jpg" class="peccular-about-imgboxshape" />';
							}
							?>	
							<?php endif ?>					
						</div> 	
					

					<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 peccular-contact-page-form p-0 <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow bounceInUp')); ?>" data-wow-duration="1s">	


						<div class="conntact_box_form">	
							<div class="conntact_box_subheading" >
								<?php if($peccular_contform_maintext){ ?> 	           
									<p><?php echo ($peccular_contform_maintext);  ?></p>        
								<?php }?>		
							</div>			
							<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
							<div class="clearfix"></div>
						</div>	
						<div class="clearfix"></div>
					</div>

				</div>	<!-- peccular-contactus-wrap-->	
				<div class="row">
					<div class="col-xl-12 col-lg-12 contact-contact-mapbox p-0 <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						<div class="map_overlay"></div>
						<?php if(!empty($contact_page_iframe_shortcode)){ ?>
							<?php echo ($contact_page_iframe_shortcode);  ?>
						<?php }?>					
					</div>
				</div>
			</div>					

			<div class="bx text-center">
				<?php if($peccular_contform_maintitle || $peccular_contform_maintitle){ ?>
					<div class="conntact_box_heading" >
						<?php if($peccular_contform_maintitle){ ?> 	           
							<h2><?php echo ($peccular_contform_maintitle);  ?></h2>        
						<?php }?>		
					</div>
				<?php }?>
				<?php
				$sec4__contactButtonLink4 = get_theme_mod('sec4__contactButtonLink4', '');
				$sec4__contactButton4 = get_theme_mod('sec4__contactButton4', 'Subscribe Now');
				?> 
				<?php if( get_theme_mod('sec3__contact_button_display5','show' ) == 'show') :
					?> 
					<div class="glowing-button-wrap">
						<button class="glowing-button5"><a href="<?php echo $sec4__contactButtonLink4 ?>"><?php echo $sec4__contactButton4 ?></a></button>
					</div>  
				<?php endif ?> 
			</div>
		</div>
	</main>
	<?php get_footer(); ?>